services:
  gols-frontend-v1:
    build:
      context: .
      dockerfile: dockerfile
    ports:
      - "${APP_PORT}:5173"
    volumes:
      - .:/var/www/gols-frontend-v1
      - frontend-v1:/var/www/gols-frontend-v1/node_modules
    networks:
      - gols-network
volumes:
  frontend-v1:
    driver: local
networks:
  gols-network:
    driver: bridge